Package de.willuhn.jameica.hbci.gui.chart

# Interface LineChartData

All Superinterfaces:
  `ChartData`

All Known Implementing Classes:
  `AbstractChartDataSaldo`, `ChartDataSaldoForecast`, `ChartDataSaldoLimit`, `ChartDataSaldoSumme`, `ChartDataSaldoSummeForecast`, `ChartDataSaldoTrend`, `ChartDataSaldoTrendForecast`, `ChartDataSaldoVerlauf`

public interface LineChartData extends ChartData
Interface, welches die zu zeichnenden Datenreihen fuer ein Liniendiagramm enthaelt.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColor()`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.
`boolean`
`getCurve()`
Legt fest, ob die Punkte gerade oder zu einer geschwungenen Linie verbunden werden sollen.
`LineStyle`
`getLineStyle()`
Liefert den Linienstil.
`int`
`getLineWidth()`
Liefert die Linienbreite in Pixel.
`boolean`
`isFilled()`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.
`boolean`
`isLegendEnabled()`
True, wenn die Linie in der Legende angezeigt werden soll.

### Methods inherited from interface de.willuhn.jameica.hbci.gui.chart.ChartData

`getData, getDataAttribute, getLabel, getLabelAttribute`

## Method Details

### getCurve

boolean getCurve() throws RemoteException
Legt fest, ob die Punkte gerade oder zu einer geschwungenen Linie verbunden werden sollen.

Returns:
  true, wenn die Punkte zu einer geschwungenen Linie verbunden werden sollen.
Throws:
  `RemoteException`

### isLegendEnabled

boolean isLegendEnabled() throws RemoteException
True, wenn die Linie in der Legende angezeigt werden soll.

Returns:
  true, wenn die Linie in der Legende angezeigt werden soll.
Throws:
  `RemoteException`

### getLineWidth

int getLineWidth() throws RemoteException
Liefert die Linienbreite in Pixel.

Returns:
  die Linienbreite in Pixel.
Throws:
  `RemoteException`

### getLineStyle

LineStyle getLineStyle() throws RemoteException
Liefert den Linienstil.

Returns:
  der Linienstil.
Throws:
  `RemoteException`

### getColor

int[] getColor() throws RemoteException
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.

Returns:
  Array mit den Farbwerten oder null, wenn eine zufaellige Farbe gewaehlt werden soll.
Throws:
  `RemoteException`

### isFilled

boolean isFilled() throws RemoteException
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.

Returns:
  true falls gefuellt.
Throws:
  `RemoteException`